'JAVA/예외처리'에 해당되는 글 2건

JAVA/예외처리

두가지 유형의 자바 예외처리

1. 

코드

public static void main(String args[])

{

method 1();

}



statci void method1(){

try{

throw new Exception(); // 일부러 예외처리

}catch (Exception e){

System.out.println("method1 메서드 내에서 예외가 처리되었습니다");

e.printStackTrace();

}

}

}


결과

method1메서드 내에서 예외가 처리 되었습니다.

java.lang.Exception

at javas.javas.method1(javas.java:12)

at javas.javas.main(javas.java:8)



2. 
코드
public static void main(String args[])
{
try{
method1();
}
catch(Exception e){
System.out.println("method1메서드에서 예외가 처리되었습니다.");
e.printStackTrace();
}
}
static void method1() throw Exception{
throw new Exception();
}
}

결과
method1메서드에서 예외가 처리되었습니다.
java.lang.Exception
at javas.javas.method1(javas.java:14)
at javas.javas.main(javas.java:6)



비교
1은 예외가 발생한 메서드 내에서 처리되어지면 호출한 메서드에서는 예외가 발생했다는 사실조차 모르게 된다.
그러나 2는 예외가 발생한 메서드에서 예외를 처리하지 않고 호출한 메서드로 넘겨주면, 호출한 메서드에서는 method1()을 호출한 라인에서 예외가 발생한 것으로 간주되어 이에 대한 처리를 하게 된다.


'JAVA > 예외처리' 카테고리의 다른 글

두가지 유형의 자바 예외처리  (0) 2016.12.21
자바 예외처리  (0) 2016.12.21
 [ 1 ]  [ 2 ] 

푸터바

알림

이 블로그는 구글에서 제공한 크롬에 최적화 되어있고, 네이버에서 제공한 나눔글꼴이 적용되어 있습니다.

카운터

  • Today : 213
  • Yesterday : 279
  • Total : 103,501